# -*- encoding: utf-8 -*-
# stub: dyndnsd 3.9.1 ruby lib

Gem::Specification.new do |s|
  s.name = "dyndnsd".freeze
  s.version = "3.9.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/cmur2/dyndnsd/issues", "changelog_uri" => "https://github.com/cmur2/dyndnsd/blob/master/CHANGELOG.md", "source_code_uri" => "https://github.com/cmur2/dyndnsd" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Christian Nicolai".freeze]
  s.bindir = "exe".freeze
  s.date = "2023-07-06"
  s.description = "A small, lightweight and extensible DynDNS server written with Ruby and Rack.".freeze
  s.executables = ["dyndnsd".freeze]
  s.extra_rdoc_files = ["README.md".freeze, "CHANGELOG.md".freeze, "LICENSE".freeze]
  s.files = ["CHANGELOG.md".freeze, "LICENSE".freeze, "README.md".freeze, "exe/dyndnsd".freeze]
  s.homepage = "https://github.com/cmur2/dyndnsd".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 3.0".freeze)
  s.rubygems_version = "3.4.10".freeze
  s.summary = "dyndnsd.rb".freeze

  s.installed_by_version = "3.4.10" if s.respond_to? :installed_by_version

  s.specification_version = 4

  s.add_runtime_dependency(%q<async>.freeze, ["~> 1.31.0"])
  s.add_runtime_dependency(%q<async-dns>.freeze, ["~> 1.3.0"])
  s.add_runtime_dependency(%q<metriks>.freeze, [">= 0"])
  s.add_runtime_dependency(%q<opentelemetry-exporter-jaeger>.freeze, ["~> 0.22.0"])
  s.add_runtime_dependency(%q<opentelemetry-instrumentation-rack>.freeze, ["~> 0.22.0"])
  s.add_runtime_dependency(%q<opentelemetry-sdk>.freeze, ["~> 1.2.0"])
  s.add_runtime_dependency(%q<rack>.freeze, ["~> 3.0"])
  s.add_runtime_dependency(%q<rackup>.freeze, ["~> 2"])
  s.add_runtime_dependency(%q<webrick>.freeze, [">= 1.6.1"])
  s.add_development_dependency(%q<bundler>.freeze, [">= 0"])
  s.add_development_dependency(%q<bundler-audit>.freeze, ["~> 0.9.0"])
  s.add_development_dependency(%q<rack-test>.freeze, [">= 0"])
  s.add_development_dependency(%q<rake>.freeze, [">= 0"])
  s.add_development_dependency(%q<rspec>.freeze, [">= 0"])
  s.add_development_dependency(%q<rubocop>.freeze, ["~> 1.54.0"])
  s.add_development_dependency(%q<rubocop-rake>.freeze, ["~> 0.6.0"])
  s.add_development_dependency(%q<rubocop-rspec>.freeze, ["~> 2.22.0"])
  s.add_development_dependency(%q<solargraph>.freeze, ["~> 0.49.0"])
end
